org.icefaces.ace.component.dataexporter

## Class PDFExporter

- java.lang.Object
- - org.icefaces.ace.component.dataexporter.Exporter
  - - org.icefaces.ace.component.dataexporter.PDFExporter

-     public class PDFExporter
      extends Exporter

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.icefaces.ace.component.dataexporter.Exporter

      `Exporter.ColumnType, Exporter.SpanningColumn, Exporter.SpanningRow, Exporter.SpanningRows`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.reflect.Method` | `addCellMethod`
    `protected java.lang.Class` | `documentClass`
    `protected java.lang.Class` | `elementClass`
    `protected java.lang.Class` | `fontClass`
    `protected java.lang.Class` | `fontFactoryClass`
    `protected static java.util.logging.Logger` | `logger`
    `protected java.lang.Class` | `paragraphClass`
    `protected java.lang.reflect.Constructor` | `paragraphConstructor`
    `protected java.lang.Class` | `pdfPTableClass`
    `protected java.lang.Class` | `pdfWriterClass`
    `protected java.lang.Class` | `phraseClass`

    - ### Fields inherited from class org.icefaces.ace.component.dataexporter.Exporter

      `encodingType, excludeColumns, expandedOnly, filename, HTML_TAG_PATTERN, includeFooters, includeHeaders, pageOnly, pdfFont, postProcessor, preProcessor, selectedRowsOnly, spanningFooterRows, spanningRows, userColumnOrder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDFExporter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addColumnValue(java.lang.Object pdfTable, java.util.List<javax.faces.component.UIComponent> components, int index, java.lang.Object font)`
    `protected void` | `addColumnValue(java.lang.Object pdfTable, javax.faces.component.UIComponent component, java.lang.Object font)`
    `protected void` | `addFacetColumns(java.lang.Object pdfTable, java.util.List<javax.faces.component.UIColumn> columns, java.lang.Object font, Exporter.ColumnType columnType)`
    `java.lang.String` | `export(javax.faces.context.FacesContext facesContext, DataExporter component, DataTable table)`
    `protected void` | `exportChildRows(javax.faces.context.FacesContext context, TreeDataModel rootModel, RowStateMap rowStateMap, DataTable table, java.util.List<javax.faces.component.UIColumn> columns, java.lang.String rootIndex, java.lang.Object pdfTable, int numberOfColumns, java.lang.Object font)`
    `protected void` | `exportConditionalRow(Row row, java.lang.Object pdfTable, java.lang.Object font)`
    `protected void` | `exportPDFTable(javax.faces.context.FacesContext facesContext, java.lang.Object pdfTable, DataTable table, boolean pageOnly, int[] excludeColumns, java.lang.String encoding, boolean includeHeaders, boolean includeFooters, boolean selectedRowsOnly)`
    `protected void` | `loadMethods()`
    `protected void` | `loadNewClasses()`
    `protected void` | `loadOldClasses()`

    - ### Methods inherited from class org.icefaces.ace.component.dataexporter.Exporter

      `determineHeaderColumnOrdering, exportChildRowValues, exportConditionalRowValues, exportValue, getColumnGroupFooter, getColumnGroupHeader, getColumnsToExport, getFooterRowColumnsToExport, getRowColumnsToExport, getRows, getRows, hasColumnFooter, registerResource, resolveExcludedColumnIndexes, setUp, shouldExcludeFromExport`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final java.util.logging.Logger logger

    - #### documentClass

          protected java.lang.Class documentClass

    - #### fontClass

          protected java.lang.Class fontClass

    - #### fontFactoryClass

          protected java.lang.Class fontFactoryClass

    - #### paragraphClass

          protected java.lang.Class paragraphClass

    - #### phraseClass

          protected java.lang.Class phraseClass

    - #### pdfPTableClass

          protected java.lang.Class pdfPTableClass

    - #### elementClass

          protected java.lang.Class elementClass

    - #### pdfWriterClass

          protected java.lang.Class pdfWriterClass

    - #### addCellMethod

          protected java.lang.reflect.Method addCellMethod

    - #### paragraphConstructor

          protected java.lang.reflect.Constructor paragraphConstructor

  - ### Constructor Detail

    - #### PDFExporter

          public PDFExporter()

  - ### Method Detail

    - #### loadNewClasses

          protected void loadNewClasses()
                                 throws java.lang.ClassNotFoundException

      Throws:
        `java.lang.ClassNotFoundException`

    - #### loadOldClasses

          protected void loadOldClasses()
                                 throws java.lang.ClassNotFoundException

      Throws:
        `java.lang.ClassNotFoundException`

    - #### loadMethods

          protected void loadMethods()
                              throws java.lang.NoSuchMethodException

      Throws:
        `java.lang.NoSuchMethodException`

    - #### export

          public java.lang.String export(javax.faces.context.FacesContext facesContext,
                                         DataExporter component,
                                         DataTable table)
                                  throws java.io.IOException

      Specified by:
        `export` in class `Exporter`
      Throws:
        `java.io.IOException`

    - #### exportPDFTable

          protected void exportPDFTable(javax.faces.context.FacesContext facesContext,
                                        java.lang.Object pdfTable,
                                        DataTable table,
                                        boolean pageOnly,
                                        int[] excludeColumns,
                                        java.lang.String encoding,
                                        boolean includeHeaders,
                                        boolean includeFooters,
                                        boolean selectedRowsOnly)
                                 throws java.io.IOException,
                                        java.lang.NoSuchMethodException,
                                        java.lang.IllegalAccessException,
                                        java.lang.reflect.InvocationTargetException,
                                        java.lang.InstantiationException

      Throws:
        `java.io.IOException`
        `java.lang.NoSuchMethodException`
        `java.lang.IllegalAccessException`
        `java.lang.reflect.InvocationTargetException`
        `java.lang.InstantiationException`

    - #### exportChildRows

          protected void exportChildRows(javax.faces.context.FacesContext context,
                                         TreeDataModel rootModel,
                                         RowStateMap rowStateMap,
                                         DataTable table,
                                         java.util.List<javax.faces.component.UIColumn> columns,
                                         java.lang.String rootIndex,
                                         java.lang.Object pdfTable,
                                         int numberOfColumns,
                                         java.lang.Object font)
                                  throws java.io.IOException,
                                         java.lang.IllegalAccessException,
                                         java.lang.reflect.InvocationTargetException,
                                         java.lang.InstantiationException

      Throws:
        `java.io.IOException`
        `java.lang.IllegalAccessException`
        `java.lang.reflect.InvocationTargetException`
        `java.lang.InstantiationException`

    - #### exportConditionalRow

          protected void exportConditionalRow(Row row,
                                              java.lang.Object pdfTable,
                                              java.lang.Object font)
                                       throws java.io.IOException,
                                              java.lang.IllegalAccessException,
                                              java.lang.reflect.InvocationTargetException,
                                              java.lang.InstantiationException

      Throws:
        `java.io.IOException`
        `java.lang.IllegalAccessException`
        `java.lang.reflect.InvocationTargetException`
        `java.lang.InstantiationException`

    - #### addFacetColumns

          protected void addFacetColumns(java.lang.Object pdfTable,
                                         java.util.List<javax.faces.component.UIColumn> columns,
                                         java.lang.Object font,
                                         Exporter.ColumnType columnType)
                                  throws java.lang.IllegalAccessException,
                                         java.lang.reflect.InvocationTargetException,
                                         java.lang.InstantiationException

      Throws:
        `java.lang.IllegalAccessException`
        `java.lang.reflect.InvocationTargetException`
        `java.lang.InstantiationException`

    - #### addColumnValue

          protected void addColumnValue(java.lang.Object pdfTable,
                                        javax.faces.component.UIComponent component,
                                        java.lang.Object font)
                                 throws java.lang.IllegalAccessException,
                                        java.lang.reflect.InvocationTargetException,
                                        java.lang.InstantiationException

      Throws:
        `java.lang.IllegalAccessException`
        `java.lang.reflect.InvocationTargetException`
        `java.lang.InstantiationException`

    - #### addColumnValue

          protected void addColumnValue(java.lang.Object pdfTable,
                                        java.util.List<javax.faces.component.UIComponent> components,
                                        int index,
                                        java.lang.Object font)
                                 throws java.lang.IllegalAccessException,
                                        java.lang.reflect.InvocationTargetException,
                                        java.lang.InstantiationException

      Throws:
        `java.lang.IllegalAccessException`
        `java.lang.reflect.InvocationTargetException`
        `java.lang.InstantiationException`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.